% plot sh values for figure 10.20(3)
% (temperature rise versus square root of time)
% in STEP - HEATING
% 11 - 04 -2000
% g is mismatch factor Gamma
% la = L/sqrt(thermal diffusivity)
% symbol is to overprint on the solid line
%        a symbol. Ex: ko is black (k) with
%        circles (o). Type 'help plot' in
%        Matlab command window for a complete
%        list.
%
% Example of use:
%                   	  Plotsh3(0.5,1,'ko');
% (maintain the plot)  hold
% (replot)             Plotsh3(0.5,1,'ko');
% (plot next curve)    Plotsh3(-0.5,1,'ks');
%
% This function uses 'sh3() function that performs
% the computations.

function out =Plotsh3(g,la,symbol)

t=0;
inc_t= 0.04; % plot for t 0 to 2=sqrt(4)
for n=1:100
   result(n)=sh3((t),g,la);
   %result(n)=sqrt(t); % semi-infinite case
   tt(n)=sqrt(t);
   t=t+inc_t;
end;
plot(tt,result,'k');
%hold;
% and now lets plot spare points

ttz(1)=tt(1);
resultz(1)= result(1);
   
ttz(2)=tt(25);
resultz(2)= result(25);
  
ttz(3)=tt(75);
resultz(3)= result(75);

plot(ttz,resultz,symbol);
