% Computation Step-Heating for figure 4
% (normalized temperature rise versus square 
% root of normalized time)
% in STEP - HEATING
% Function used by Plotsh4.m and Plotsh5.m
% Can be called individually with the following parameters:
%  t is time
% g is mismatch factor Gamma
% Example of use:
%                  sh4(2,-1)
%     returns 0.9202
%
% 11 April 2000

function out = sh(t,g)
sqrpi=sqrt(pi);
sumsh=0;
max=10; % number of terms summed
for n=1:max
   nn=n/t;
   nn2= nn*nn;
   result = exp(-nn2)-(nn*sqrpi*erfc(nn));
   result = (2*((-g)^n))* result;
   sumsh=sumsh+result;
end;

out=sumsh;