%**********
% stretch.m
%
% MATLAB M-File for histogram stretching through
% linear remapping of gray level of image mat
% within available gray level range gmin to gmax,
% eq.(5.17). Images are of unsigned characters type.
%
% Example of use:
%  mat1=stretch(mat,0,255);
%
% Date : 18.05.2000
%
% Last modification: 02.06.2000
%
%**********

function mat1 = stretch(mat,gmin,gmax)


% ***** Size of matrix
[mrow, mcol]=size(mat);


% ***** Maximum and minimum values within mat
maxv=max(max(mat));	% find the largest component of mat
minv=min(min(mat));	% find the smallest component of mat


% ***** Values needed for histogram stretching
m=(gmax-gmin)/(maxv-minv);
b=gmax-(m*maxv);


% ***** Histogram stretching
mat1=m.*mat+b;


% ***** Display the image
colormap(gray);
imagesc(mat1);
colorbar;
