%**********
% MATLAB M-File to write a 'raw type' of file of unsigned char
% No header is account for.
% Adjustable parameter is:
% 	Headersize: number of bytes before the image
% 	(Header is filled with blank spaces)
%
% To call this function type in the Matlab window
% once in the directory of interest (file name is d_1234.uc
% and mat is the image to write on disk):
%	count=write_uc('d_1234.uc', mat);
% Return value count indicates the number of bytes saved.
%
% Date : 10.4.99
%
% Last modification: 23.05.2000
%
%*********

function out = write_uc(file,mat)

% ***** Correct for saving (transpose)
mat1=mat';


% ***** Save on disk
fid = fopen(file,'w');
Headersize = 105;
Header=zeros(1,Headersize);
fwrite(fid,Header,'uchar')
out = fwrite(fid,mat1,'uchar')
fclose(fid);
